Subject: Re: bug#7728: 24.0.50; GDB backtrace from abort

From: martin rudalics <[email-masked]>
Date: Fri, 14 Jan 2011 09:26:25 +0100

> No, as Martin mentioned, save-window-excursion is the macro to use if
 > you want to write code that breaks in "odd" cases (sidenote:
 > one-buffer-per-frame is one of those "odd" cases that tend to trigger
 > bugs in code using save-window-excursion, so you probably "often" suffer
 > from those things, like me).

`save-window-excursion' is the macro never to use.  It should be used
exclusively for debugging and prototyping.  Application programmers who
prefer to work with multiple frames themselves should know best and
avoid `save-window-excursion' like the plague.  At least in "released"
code.  Anything else is masochism.

martin